using Exferia_Aplicacion.General;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Runtime.CompilerServices;
using Exferia_Maestros.General;
using Exferia_General;
using Exferia_Maestros._0_Modelos;
using Exferia_Aplicacion.Modelos_Listado_Filtros;

namespace Exferia_Maestros._3_Vistas.Listados
{
    class ABS_ListadoSeleccion_ComunicacionesPagos : ABS_ListadoSeleccion
    {
        public override List<dynamic> LISTADO()
        {
            return Registros;
        }

        public override string NOMBRELISTADO_ALMACENARCONFIGURACION()
        {
            return nameof(ListadosEstaticos.G_LST_ESTATICOS_COMUNICACIONESPAGO);
        }

        public override Dictionary<string, INTERNO_ABS_Listado_ColumnasDatos_Modelo> LISTADO_COLUMNAS()
        {
            Dictionary<string, INTERNO_ABS_Listado_ColumnasDatos_Modelo> dct_INTERNO_ABS_Listado_ColumnasDatos_Modelo = new Dictionary<string, INTERNO_ABS_Listado_ColumnasDatos_Modelo>();

            //Codigo
            dct_INTERNO_ABS_Listado_ColumnasDatos_Modelo.Add(nameof(INTERNO_CodigoDescripcion_Modelo.Codigo), new INTERNO_ABS_Listado_ColumnasDatos_Modelo(true, nameof(INTERNO_CodigoDescripcion_Modelo.Codigo),"Código",Enumerados.G_ENUM_TIPOSDATOS.TEXT,false,90,true,true,true,false,"",null));

            //Descripcion
            dct_INTERNO_ABS_Listado_ColumnasDatos_Modelo.Add(nameof(INTERNO_CodigoDescripcion_Modelo.Descripcion), new INTERNO_ABS_Listado_ColumnasDatos_Modelo(false,nameof(INTERNO_CodigoDescripcion_Modelo.Descripcion),"Descripción",Enumerados.G_ENUM_TIPOSDATOS.TEXT,false,350,true,true,true,false,"",null));
           
            return dct_INTERNO_ABS_Listado_ColumnasDatos_Modelo;
        }

        public override string ORDENACION_NOMBRECOLUMNA_PORDEFECTO()
        {
            return nameof(INTERNO_CodigoDescripcion_Modelo.Codigo);
        }

        public override string ORDENACION_TIPO_PORDEFECTO()
        {
            return "0";
        }

        public override INTERNO_OpcionesDetalle_Modelo DATOS_OPCION()
        {
            return null;
        }

        public override INTERNO_Listado_BotonesAuxiliares_Modelo BOTONAUXILIAR_1()
        {
            return null;
        }

        public override INTERNO_Listado_BotonesAuxiliares_Modelo BOTONAUXILIAR_2()
        {
            return null;
        }

        public override INTERNO_Listado_BotonesAuxiliares_Modelo BOTONAUXILIAR_3()
        {
            return null;
        }

        public override INTERNO_Listado_BotonesAuxiliares_Modelo BOTONAUXILIAR_4()
        {
            return null;
        }

        public override INTERNO_Listado_BotonesAuxiliares_Modelo BOTONAUXILIAR_5()
        {
            return null;
        }

        public override INTERNO_Listado_BotonesAuxiliares_Modelo BOTONAUXILIAR_6()
        {
            return null;
        }

        public override INTERNO_Listado_BotonesAuxiliares_Modelo BOTONAUXILIAR_7()
        {
            return null;
        }

        public override List<INTERNO_ArbolSecundarioSeleccion_Modelo> LISTADO_ARBOLSECUNDARIOSELECCION()
        {
            return null;
        }

        public override List<INTERNO_Listado_Paginado_Filtro_Modelo> FILTRADO_PARAPAGINADO()
        {
            return null;
        }

        public override List<string> LISTADOCAMPOS_ENVIAR_A_MANTENIMIENTO()
        {
            return null;
        }
    }
}
